Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoProfileBox Class Reference
GoSdk/Tools » Profile

## Description

Represents a profile bounding box tool.

Inheritance diagram for GoProfileBox:

## Public Member Functions
kStatus | GoProfileBox_EnableRegion (GoProfileBox tool, kBool enable)
| Enables or disables the tool region. More...
GoProfileBoxGlobalAngle | GoProfileBox_GlobalAngleMeasurement (GoProfileBox tool)
| Returns a GoProfileBox global Angle measurement object. More...
GoProfileBoxGlobalX | GoProfileBox_GlobalXMeasurement (GoProfileBox tool)
| Returns a GoProfileBox global X measurement object. More...
GoProfileBoxGlobalY | GoProfileBox_GlobalYMeasurement (GoProfileBox tool)
| Returns a GoProfileBox global Y measurement object. More...
GoProfileBoxHeight | GoProfileBox_HeightMeasurement (GoProfileBox tool)
| Returns a GoProfileBox Height measurement object. More...
GoProfileRegion | GoProfileBox_Region (GoProfileBox tool)
| Gets the profile bounding box region. More...
kBool | GoProfileBox_RegionEnabled (GoProfileBox tool)
| Returns the enabled state of the tool region. More...
GoProfileBoxWidth | GoProfileBox_WidthMeasurement (GoProfileBox tool)
| Returns a GoProfileBox Width measurement object. More...
GoProfileBoxX | GoProfileBox_XMeasurement (GoProfileBox tool)
| Returns a GoProfileBox X measurement object. More...
GoProfileBoxZ | GoProfileBox_ZMeasurement (GoProfileBox tool)
| Returns a GoProfileBox Z measurement object. More...
kStatus | GoProfileTool_SetSource (GoProfileTool tool, GoDataSource source)
| Sets the data source. More...
kStatus | GoProfileTool_SetStream (GoProfileTool tool, GoDataStream stream)
| Sets the data stream. More...
kStatus | GoProfileTool_SetXAnchor (GoProfileTool tool, k32s id)
| Sets the X-anchoring source. More...
kStatus | GoProfileTool_SetZAnchor (GoProfileTool tool, k32s id)
| Sets the Z-anchoring source. More...
GoDataSource | GoProfileTool_Source (GoProfileTool tool)
| Gets the data source. More...
GoDataSource | GoProfileTool_SourceOptionAt (GoProfileTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoProfileTool_SourceOptionCount (GoProfileTool tool)
| Gets the data source option list count. More...
GoDataStream | GoProfileTool_Stream (GoProfileTool tool)
| Gets the data stream. More...
GoDataStream | GoProfileTool_StreamOptionAt (GoProfileTool tool, kSize index)
| Gets the data stream option at the given index. More...
kSize | GoProfileTool_StreamOptionCount (GoProfileTool tool)
| Gets the data stream option list count. More...
k32s | GoProfileTool_XAnchor (GoProfileTool tool)
| Gets the current X-anchoring source. More...
kBool | GoProfileTool_XAnchorEnabled (GoProfileTool tool)
| Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring. More...
k32u | GoProfileTool_XAnchorOptionAt (GoProfileTool tool, kSize index)
| Gets the X-anchoring option at the given index. More...
kSize | GoProfileTool_XAnchorOptionCount (GoProfileTool tool)
| Gets the X-anchoring option list count. More...
k32s | GoProfileTool_ZAnchor (GoProfileTool tool)
| Gets the current Z-anchoring source. More...
kBool | GoProfileTool_ZAnchorEnabled (GoProfileTool tool)
| Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring. More...
k32u | GoProfileTool_ZAnchorOptionAt (GoProfileTool tool, kSize index)
| Gets the Z-anchoring option at the given index. More...
kSize | GoProfileTool_ZAnchorOptionCount (GoProfileTool tool)
| Gets the Z-anchoring option list count. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...

The documentation for this class was generated from the following file:

- Tools/GoProfileTools.h